%define section   free
%define base_name slide
%define jakarta_version 2.0

Name:           jakarta-%{base_name}-webdavclient
Version:        %{jakarta_version}
Release:        0.b1.1jpp
Epoch:          0
Summary:        Slide WebDAV client

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/slide/
Source0:        jakarta-slide-webdavclient-src-2.0beta1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} )
Distribution:   JPackage
Vendor:         JPackage Project
BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4 junit >= 0:3.8.1

%description
Slide includes a fully featured WebDAV client 
library and command line client.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n jakarta-slide-webdavclient-src-2.0beta1
find . -name "*.jar" -exec rm {} \;

%build
export CLASSPATH=$(build-classpath \
antlr \
commons-logging \
jakarta-commons-httpclient \
junit)
ant -Dbuild.sysclasspath=first

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -Dpm 755 dist/bin/run.sh $RPM_BUILD_ROOT%{_bindir}/webdavclient.sh

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{base_name}
install -Dpm 644 \
 dist/lib/jakarta-slide-webdavlib-%{jakarta_version}beta1.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-webdavlib-%{version}.jar
install -Dpm 644 \
 dist/lib/jakarta-slide-commandline-%{jakarta_version}beta1.jar \
 $RPM_BUILD_ROOT%{_javadir}/%{base_name}/%{name}-commandline-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{base_name} && for jar in jakarta-*.jar; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)

#javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/doc/clientjavadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/%{base_name}/*.jar
%{_bindir}/webdavclient.sh

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Mar 04 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.0-0.b1.1jpp
- First JPackage release
